'use strict';

var NetTransactionsCtrl = ['$scope', '$location', 'dateFilter', 'net_transactions', function ($scope, $location, dateFilter, net_transactions) {
    $scope.info = net_transactions;
    $scope.show = function () {
        if (angular.isDate($scope.info.StartDate)) {
            $scope.info.StartDate = dateFilter($scope.info.StartDate, 'dd-MMM-yyyy');
        }
        if (angular.isDate($scope.info.FinishDate)) {
            $scope.info.FinishDate = dateFilter($scope.info.FinishDate, 'dd-MMM-yyyy');
        }
        $location.path('/NetTransactions').search({StartDate: $scope.info.StartDate, FinishDate: $scope.info.FinishDate});
    };
    $('#txtStartDate').focus();
}];

NetTransactionsCtrl.resolve = {
    net_transactions: ['$route', 'NetTransactions', function ($route, NetTransactions) {
        var start_date = $route.current.params.StartDate,
            finish_date = $route.current.params.FinishDate;

        if (typeof start_date === 'undefined' || typeof finish_date === 'undefined') {
            return NetTransactions.get({}).$promise;
        } else {
            return NetTransactions.get({StartDate: start_date, FinishDate: finish_date}).$promise;
        }
    }]
};